Bug 1787448 - Review Request: python-pydantic - Data validation and settings management
Summary: Review Request: python-pydantic - Data validation and settings management
Keywords:
Status: CLOSED DUPLICATE of bug 1733685
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-pytest-toolbox
TreeView+ depends on / blocked
 
Reported: 2020-01-02 21:47 UTC by Fabian Affolter
Modified: 2020-01-07 16:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-07 16:23:45 UTC
Type: ---


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-02 21:47:05 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pydantic.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pydantic-1.3-1.fc31.src.rpm

Project URL: https://github.com/samuelcolvin/pydantic

Description:
Data validation and settings management using Python type hinting.

Fast and extensible, pydantic plays nicely with your linters/IDE/brain. Define
how data should be in pure, canonical Python 3.6+; validate it with pydantic.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40056415

rpmlint output:
$ rpmlint python-pydantic-1.3-1.fc31.src.rpm 
python-pydantic.src: W: spelling-error %description -l en_US linters -> liners, liters, inters
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint python3-pydantic-*
python3-pydantic.x86_64: W: spelling-error %description -l en_US linters -> liners, liters, inters
python3-pydantic.x86_64: E: zero-length /usr/lib64/python3.7/site-packages/pydantic/py.typed
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-06 17:53:41 UTC
I've already reviewed this for Susi Lehtola:

https://bugzilla.redhat.com/show_bug.cgi?id=python-pydantic

Try to work with him to package this. If not answer, proceed with FE:DEADREVIEW and mark it as Duplicate.

Comment 2 Fabian Affolter 2020-01-07 16:23:45 UTC

*** This bug has been marked as a duplicate of bug 1733685 ***


Note You need to log in before you can comment on or make changes to this bug.